#ifndef PIFILCHOX_H_SEEN
#define PIFILCHOX_H_SEEN

#include "pisysdep.h"
#include "pifilechogen.h"

#include PIWIN_H

class PIFileChooserX : public PIFileChooserGen {
public:

                   PIFileChooserX(PIMsgHandler* par, char* nom, PIMessage msg);
  virtual          ~PIFileChooserX();

  virtual void     Show();

  virtual void     AcceptNewFile(bool acc);
  virtual void     SetPath(string const& path);
  virtual void     SetFileName(string const& fname);

  virtual string   GetPath();
  virtual string   GetFileName();

  inline PIWdg *   MWin() { return mWin; }

//  Je les declare ici, en public, a cause des callback
  int mSt;
  char mFName[512];     

protected:
  PIWdg * mWin;
  SysDWdg  fnw, fnl;
};

typedef PIFileChooserX     PIFileChooser ;

#define FILESEP '/'


#endif

